Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation
Class SimulationControl

    java.lang.Object
      biouml.plugins.simulation.SimulationControl

public class SimulationControl
extends java.lang.Object

Field Summary
`java.lang.String` | `diagramName`
`protected SimulatorJobControl` | `jobControl`
`java.util.HashMap` | `legends`
`protected Model` | `model`
`protected ResultListener[]` | `resultListeners`
`protected Simulator` | `simulator`
`protected java.lang.Object` | `simulatorOptions`
`protected Span` | `span`

Constructor Summary
`SimulationControl()`

Method Summary
`void` | `addResultListener(ResultListener listener)`
`java.lang.String` | `getDiagramName()`
`SimulatorJobControl` | `getJobControl()`
`java.util.HashMap` | `getLegends()`
`Model` | `getModel()`
`ResultListener[]` | `getResultListeners()`
`Simulator` | `getSimulator()`
`java.lang.Object` | `getSimulatorOptions()`
`Span` | `getSpan()`
`void` | `removeResultListener(ResultListener listener)`
`void` | `setDiagramName(java.lang.String name)`
`void` | `setLegends(java.util.HashMap names)`
`void` | `setModel(Model model)`
`void` | `setSimulator(Simulator simulator)`
`void` | `setSimulatorOptions(java.lang.Object simulatorOptions)`
`void` | `setSpan(Span span)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### diagramName

    public java.lang.String diagramName

### legends

    public java.util.HashMap legends

### model

    protected Model model

### simulator

    protected Simulator simulator

### simulatorOptions

    protected java.lang.Object simulatorOptions

### span

    protected Span span

### resultListeners

    protected ResultListener[] resultListeners

### jobControl

    protected SimulatorJobControl jobControl

Constructor Detail

### SimulationControl

    public SimulationControl()

Method Detail

### setDiagramName

    public void setDiagramName(java.lang.String name)

### getDiagramName

    public java.lang.String getDiagramName()

### setLegends

    public void setLegends(java.util.HashMap names)

### getLegends

    public java.util.HashMap getLegends()

### getModel

    public Model getModel()

### setModel

    public void setModel(Model model)

### getSimulator

    public Simulator getSimulator()

### setSimulator

    public void setSimulator(Simulator simulator)

### getSimulatorOptions

    public java.lang.Object getSimulatorOptions()

### setSimulatorOptions

    public void setSimulatorOptions(java.lang.Object simulatorOptions)

### getSpan

    public Span getSpan()

### setSpan

    public void setSpan(Span span)

### getResultListeners

    public ResultListener[] getResultListeners()

### addResultListener

    public void addResultListener(ResultListener listener)

  To do:

### removeResultListener

    public void removeResultListener(ResultListener listener)

  To do:

### getJobControl

    public SimulatorJobControl getJobControl()

### start

    public void start()

### stop

    public void stop()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.